Smart Proxy - Bug #13841

Smart Proxy DNS nsupdate GSS fails
02/22/2016 06:10 PM - Matthew Ceroni

Status: Closed
Priority: High
Assignee:
Category: DNS
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/385
Description

Unable to configure DNS provider nsupdate GSS.
Smart Proxy errors with the following:

E, [2016-02-22T17:09:14.944969 #18936] ERROR -- : wrong number of arguments (0 for 1)

D, [2016-02-22T17:09:14.945003 #18936] DEBUG -- : wrong number of arguments (0 for 1) (ArgumentError)
/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_gss_main.rb:20:in “nsupdate_connect'
/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_main.rb:24:in "do_create'
/usr/share/foreman-proxy/modules/dns_nsupdate/dns_nsupdate_main.rb:16:in “create_a_record'

This is due to the fact that nsupdate_connect definition (in dns_nsupdate_gss_main.rb) includes a parameter and it is not called with
one (in dns_nsupdate_main.rb).

Looking at stable version 1.10 it appears the code was split from a general nsupdate definition which required parameter cmd (either
connect or disconnect). The new nsupdate_connect definition was still coded with the parameter but in usage no parameter was
specified.

| worked around this issue by just modifying the definition signature to

def nsupdate_connect

end

As the inherited method wasn't expecting a parameter either.

Associated revisions

Revision 7e896ba9 - 02/25/2016 09:09 AM - cyrus-mc
Fixes #13841 - Smart Proxy DNS nsupdate GSS fails

Definition signature change to nsupdate_connect in dns_nsupdate_gss_main.rb.

History

#1 - 02/22/2016 06:19 PM - Anonymous
- Project changed from Katello to Smart Proxy

- Category set to DNS

#2 - 02/23/2016 03:13 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Your patch is correct - if you'd like to send it in, please open a pull request to https:/github.com/theforeman/smart-proxy/ per the instructions on
http://theforeman.org/contribute.html#Code-relatedcontributions.

05/21/2024 1/2



https://projects.theforeman.org/issues/18936
https://projects.theforeman.org/issues/18936
https://github.com/theforeman/smart-proxy/
http://theforeman.org/contribute.html#Code-relatedcontributions

#3 - 02/24/2016 04:24 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/385 added

#4 - 02/25/2016 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7e896ba914b8fee0e52e29d10119b4d7d1f44a28.
